Name:           quitcount
Version:        2.0
Release:        1%{?dist}
Summary:        A tool for people who quit smoking

Group:          Applications/Internet
License:        GPLv3+
URL:            http://quitcount.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  unique-devel
BuildRequires:  gtk3-devel

BuildRequires:  desktop-file-utils
BuildRequires:  gettext


%description
QuitCount is a simple counter that shows what you spared since you quit
smoking. Once you tell it the date you quit, how much you smoked, and
how much it cost, it'll tell you how many cigarettes you didn't smoke
since, and how much it makes in terms of money, tar, and life expectancy.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{name}
desktop-file-install                                        \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg


%changelog
* Sat Feb 11 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.0-1
- Updated to new upstream 2.0

* Sun Jan 15 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.9-1
- Updated to new upstream 1.9

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.8-4
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 07 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.8-2
- Patch removed

* Sun Nov 07 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.8-1
- Updated to new upstream version 1.8

* Sun Jul 11 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.7-1
- Updated to new upstream version 1.7

* Thu Sep 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.6-1
- Updated to new upstream version 1.6

* Thu Jul 30 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.5-1
- Updated to new upstream version 1.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 14 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.1-2
- Fixed license tag (BZ 512270)
- Added icon-cache (BZ 512270)
- Changed desktop file install (BZ 512270)

* Thu Jul 14 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.1-1
- Initial package for Fedora
